import React, { useState, useEffect } from "react";
import styled from "styled-components";
import { Remarkable } from "remarkable";
import cx from "classnames";

// style
const StyledInstructionFrame = styled.div``;

export default ({ className, children, readmd }) => {
  const [mdContent, setMdContent] = useState("");

  useEffect(() => {
    fetch(readmd)
      .then(response => response.text())
      .then(text => setMdContent(text));
  }, [readmd]);

  return (
    <StyledInstructionFrame
      className={cx("styled-instruction-frame", { [className]: className })}
    >
      <section className="md-preview-section">
        <div
          dangerouslySetInnerHTML={{
            __html: new Remarkable().render(mdContent)
          }}
        />
      </section>

      {children}
    </StyledInstructionFrame>
  );
};
